Installation Media - Feature Request #2343
Bug # 2108 (confirmed): ISO fails to boot with libreboot

[systemd/x86_64 Preview/Beta ISO 2019-06-pre]
2019-06-27 08:09 AM - arshin

Status: in progress % Done: 0%
Priority: discussion

Assignee: bill-auger

Category: systemd

Description

Test results of systemd-cli-x86_64-netinstall iso built from a118622a99691d ("unified" branch)
| built the iso and tested installation on a laptop, going by Installation Guide. Here are quirks | encountered:

® (outside of chroot) had to manually put this to /etc/resolv.conf
domain lan
nameserver 192.168.1.1
openresolv package would take care of it automatically (at least it does on my regular Parabola install)
¢ (outside of chroot) default /etc/pacman.conf has pcr-testing repo enabled
¢ (inside chroot) /etc/hosts is empty by default. Should contain localhost?
e (inside chroot) "'modprobe efivars® doesn't work - module not found
¢ (inside chroot) on EFI, "grub-install doesn't work without efibootmgr
installed in /mnt. Can be installed from outside chroot with
“pacstrap /mnt efibootmgr’
¢ (inside chroot) on EFI, grub-install doesn't work without mounting EFI
partition. Can be mounted from outside with:
mkdir /mnt/boot/efi
mount /dev/sdal /mnt/boot/efi # /dev/sdal is fat32 EFI| partition
e After installation with GRUB, | had to manually add its entry
(FS1:/EFl/grub/grubx64.efi) - likely due to laptop's EFI FW being wonky.
Probably worth a mention in GRUB section.

Otherwise install went fine.

History

#1 - 2019-07-19 10:21 AM - bill-auger

- Category set to systemd

#2 - 2019-07-28 08:47 PM - bill-auger

- Priority changed from bug to discussion

- Assignee set to bill-auger

- Status changed from unconfirmed to in progress
- Description updated

- Subject changed from Test results of systemd-cli-x86_64-netinstall iso built from a118622a99691d ("unified" branch) to [systemd/x86_64 ISO] Test
results built from "unified" branch a118622a99691d

- Tracker changed from Bug to Feature Request

there is a pre-release systemd/LXDE ISO for x86_64, for others to try - other than the desktop, it should be essentially the same as the CLI ISO
described in the OP

https://repo.parabola.nu/iso-nightly/

if any problems are found with that one, please do add them to this ticket
#3 - 2019-07-28 08:58 PM - bill-auger

- Subject changed from [systemd/x86 64 ISQO] Test results built from "unified" branch a118622a99691d to [systemd/x86_64 Preview/Beta ISO
2019-06-pre]
https://repo.parabola.nu/iso-nightly/

#4 - 2020-07-15 04:19 AM - bill-auger
- Parent task set to #2108

2024-03-20 22


http://www.tcpdf.org

